Back to topics

What are the minimum requirements to run Lumio?

Lumio uses cross platform technology, giving you access to rich, interactive resources on laptops, desktops and mobile devices.

Here are the minimum device and browser requirements:

  • IE: 9, 10, 11+
  • Edge: 12, 13+
  • Firefox: 42, 43+
  • Chrome: 45, 46, 47+
  • Safari: 9+
  • iOS: 7.0 +
  • Android: 4.1+
  • Chrome for Android: 47

We recommend using Lumio with a broadband connection.

For more information please contact our Support Team either by emailing us at support@lumioeducation.com or by calling us on 01273 704484.

Related Articles

Still need help?